const FilterProperties = {

    "User": [
        "id",
        "facebookId",
        "email",
        "firstName",
        "lastName",
        "profileImageUrl",
        "gender",
        "about"
    ],

    "UserHidden": [
        "recentFacebookAccessToken",
        "facebookAccessTokenExpiresAtInMiliSeconds",
        "appSecretProof"
    ],

    "UserRelationships": [
        "sentFriendRequests",
        "receivedFriendRequests",
        "friends",
        "blockedUsers"
    ],

    "Friends": [
        "friends"
    ],

    "Post": [
        "id",
        "imageUrl",
        "caption"
    ],

    PostHidden: [
        "timeSpentBeforePushingUploadInMilisecond"
    ],

    "PostSubContent":[
        "tags",
        "moments",
        "comments"
    ],

    "Moment": [
        "id",
        "imageUrl",
        "caption"
    ],

    "Comment": [
        "id",
        "text"
    ],

    "CommentSubContent": [
        "replies"
    ],

    "Reply": [
        "id",
        "text"
    ],

    "Uploader": [
        "uploader"
    ],
    
};


module.exports = FilterProperties;